#include "common.h"
#include <sys/types.h>
#include <sys/wait.h>

const int NUMPROC = 3;
// ретранслятор c предварительным fork (pefork)
int main( int argc, char *argv[] ) {
   int ls = getsocket( PREFORK_PORT ), rs;         
   for( int i = 0; i < NUMPROC; i++ ) {   
      if( fork() == 0 ) {
         int rs;         
         while( true ) {
            if( ( rs = accept( ls, NULL, NULL ) ) < 0 ) errx( "accept error" );
            retrans( rs );
            close( rs );
            cout << i << flush;
//            delay( 250 );
            struct timespec req;
            req.tv_sec = 0;                // секунды 
            req.tv_nsec = 250 * 1000000L;  // наносекунды = 250 msec. 
            nanosleep( &req, NULL );
         };
      };
   };
   for( int i = 0; i < NUMPROC; i++ ) wait( NULL );
   exit( EXIT_SUCCESS );
};

